#ifndef PROCESS_IF_H
#define PROCESS_IF_H
/* process_if.h -- Parallel Libra Tester process routines definitions.
 * Marc SCHAEFER <schaefer@dilog.ch>
 * Creation: 01/08/96
 * Update:   01/08/96
 * V1.0 PV001
 * NOTES
 * BUGS
 * TODO
 * MODIFICATION-HISTORY
 *    10/12/98  schaefer Applying new RCS scheme.
 * $Id: process_if.h,v 1.1 1998/12/10 17:21:59 schaefer Exp $
 */

/* Type definitions */

/* Function definitions */

/* NAME
 *    process_create
 * DESCRIPTION
 *    This function create a new process and returns TRUE.
 *    The child starts from entry_point and gets the
 *    two parameters. The two descriptor are closed in the
 *    father. The close_me descriptors are closed in the child.
 * RESULT
 *    TRUE if child launched.
 * NOTES
 *    - Does not implement the communication itself.
 * BUGS
 * TODO
 */
BOOL process_create(fd_t from_father, fd_t to_father,
                    fd_t close_me1, fd_t close_me2,
                    void entry_point(fd_t from_father, fd_t to_father));

#endif
