/* timer_if.h -- Time subsystem definitions.
 * Marc SCHAEFER <schaefer@dilog.ch>
 * Creation: 29/08/96
 * Update:   09/09/96
 * V1.0 PV002
 * DESCRIPTION
 *    This module handles all time-related functions.
 * NOTES
 * BUGS
 * TODO
 * MODIFICATION-HISTORY
 *    10/12/98  schaefer  Applying new RCS scheme.
 * $Id: time_if.h,v 1.1 1998/12/10 17:14:05 schaefer Exp $
 */

#include <time.h>

/* Type definitions */

typedef time_t time_time_t;

/* Function definitions */

/* NAME
 *    time_init
 * DESCRIPTION
 *    Initializes the time module.
 * RESULT
 *    NONE
 * NOTES
 * BUGS
 * TODO
 */
void time_init(void);

/* NAME
 *    time elapsed_time
 * DESCRIPTION
 *    Returns the elapsed time in seconds
 *    initialization.
 * RESULT
 *    time_time_t;
 * NOTES
 * BUGS
 * TODO
 */
time_time_t time_elapsed_time(void);

/* NAME
 *    time_show_elapsed_time
 * DESCRIPTION
 *    Prints the elapsed time in minutes:seconds since module
 *    initialization.
 * RESULT
 *    NONE
 * NOTES
 * BUGS
 *    - Bypasses MESSAGE(X)
 * TODO
 */
void time_show_elapsed_time(void);
